# Interface IFieldDescription

Information about a single field in the index

## Index

### Properties

- defaultValue
- description
- fieldSourceType
- fieldType
- groupByField
- includeInQuery
- includeInResults
- name
- sortByField
- splitGroupByField
- type

## Properties

### defaultValue

defaultValue: string

- Defined in rest/FieldDescription.ts :20

The default value of the field

### description

description: string

- Defined in rest/FieldDescription.ts :16

A small(ish) description of the field

### fieldSourceType

fieldSourceType: string

- Defined in rest/FieldDescription.ts :29

It's fieldSourceType, as a string.

### fieldType

fieldType: string

- Defined in rest/FieldDescription.ts :25

It's fieldType, as a string.
eg: Date, Double, Integer, LargeString, Long, SmallString

### groupByField

groupByField: boolean

- Defined in rest/FieldDescription.ts :41

Gets whether the field is considered groupBy (facet)

### includeInQuery

includeInQuery: boolean

- Defined in rest/FieldDescription.ts :33

Gets whether the field can be referenced in a query.

### includeInResults

includeInResults: boolean

- Defined in rest/FieldDescription.ts :37

Gets whether the field is returned with results.

### name

name: string

- Defined in rest/FieldDescription.ts :12

It's name, as a string

### sortByField

sortByField: boolean

- Defined in rest/FieldDescription.ts :49

Gets whether the field can be used to sort results

### splitGroupByField

splitGroupByField: boolean

- Defined in rest/FieldDescription.ts :45

Gets whether the field is considered splitGroupBy (facet with ; between values)

### type

type: string

- Defined in rest/FieldDescription.ts :8

It's type, as a string

### Hierarchy

- IFieldDescription